require 'uu/os/rest/paging_criteria'
require 'uu/os/uesuri'



module UU
  module OS
    module Activity
      class ActivityGetActivityList < UU::OS::REST::PagingCriteria

        # @see Activity#get_activity_list
        attr_accessor :query

        # @see Activity#get_activity_list
        attr_accessor :recursive
        def query 
          attributes[:query]
        end

        def query=(val) 
          attributes[:query] = val
        end

        def recursive 
          attributes[:recursive]
        end

        def recursive=(val) 
          attributes[:recursive] = val
        end

      end
    end

  end
end
