require 'uu/os/rest/paging_criteria'

module UU
  module OS
    module AllFromOrganizationalUnitCast
      # @deprecated All From OU will not be used in the new authorization (v4).
      class AllFromOrganizationalUnitCastGetCastList < UU::OS::REST::PagingCriteria

        # @see AllFromOrganizationalUnitCast#get_cast_list
        attr_accessor :query

        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

      end
    end

  end

end
