require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PropertyTemplate
      # @see PropertyTemplate#create_collection
      class PropertyTemplateCollectionCreate < UU::OS::REST::DTO

        # @see PropertyTemplate#create_collection
        attr_accessor :name

        # @see PropertyTemplate#create_collection
        attr_accessor :code

        # @see PropertyTemplate#create_collection
        attr_accessor :description
        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def description
          attributes[:description]
        end

        def description=(val)
          attributes[:description] = val
        end

      end

    end
  end
end
