require 'uu/os/rest/dto'

module UU
  module OS
    module UseCase
      # @see UseCase#get_options
      class UseCaseGetOptions < UU::OS::REST::DTO

        # @see UseCase#get_options
        attr_accessor :summed

        # @see UseCase#get_options
        attr_accessor :requested_mime_type
        def summed 
          attributes[:summed]
        end

        def summed=(val) 
          attributes[:summed] = val
        end

        def requested_mime_type 
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val) 
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
