require 'uu/os/rest/dto'
require 'uu/os/uesuri'


module UU
module OS

module AllFromOrganizationalUnitCast

# @deprecated All From OU will not be used in the new authorization (v4).
class AllFromOrganizationalUnitCastCreate < UU::OS::REST::DTO

# @see AllFromOrganizationalUnitCast#create
attr_accessor :casted_subject_uri

# @see AllFromOrganizationalUnitCast#create
attr_accessor :level

# @see AllFromOrganizationalUnitCast#create
attr_accessor :date_to



def casted_subject_uri 
attributes[:castedSubjectUri]
end

def casted_subject_uri=(val) 
if val
attributes[:castedSubjectUri] = UU::OS::UESURI.new(val)
else
attributes[:castedSubjectUri] = nil
end
end

def level 
attributes[:level]
end

def level=(val) 
attributes[:level] = val
end

def date_to 
attributes[:dateTo]
end

def date_to=(val) 
attributes[:dateTo] = val
end

end
end

end

end
