require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Attachment.
    module Attachment
      # @see Attachment#delete_version
      class AttachmentDeleteVersion < UU::OS::REST::DTO

        # @see Attachment#delete_version
        attr_accessor :version_id

        def version_id 
          attributes[:versionId]
        end

        def version_id=(val) 
          attributes[:versionId] = val
        end

      end
    end
  end
end
